Name:           python-polyaxon-sdk
Version:        2.6.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Polyaxon SDKs and REST API specification.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://pypi.org/project/polyaxon-sdk/
Source:         %{pypi_source polyaxon-sdk}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'polyaxon-sdk' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-polyaxon-sdk
Summary:        %{summary}

%description -n python3-polyaxon-sdk %_description


%prep
%autosetup -p1 -n polyaxon-sdk-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-polyaxon-sdk -f %{pyproject_files}


%changelog
%autochangelog